/***********************************************************************
*Copyright (c)2012 , 天际边工作室
*All rights reserved.
**
文件名称：	MagicList.h
*摘要：		游戏主地图类头文件
**
*修改历史：
*	版本    日期     作者     改动内容和原因
*   ----------------------------------------------------
*	1.0    2012-10-5  wstjb     基本的功能完成
***********************************************************************/

#pragma once

#include <windows.h>
#include <stdio.h>
#include <stdlib.h>
#include <fstream>
#include "PublicFun.h"
#include "Magic.h"

class MagicList
{

public:
	int Init(int idx);
	int KeyDown(WPARAM KeyCode);
	void Show(WPARAM KeyCode);
	void Add(int type,int idx,int pos);

	Magic magic[1080];

	int no;
	int magicCount;
	int magicType[1080];
	int magicIdx[1080];
	int exLearned;//额外获得数量
	

};